package com.chinaitop.depot.intelligent.grainNumberMonitor.model;

import java.util.Date;

public class TNumberWarningHistory {
    private String id;

    private String vcfcode;

    private String orgId;

    private String vdevcode;

    private String monitorNumber;

    private String tVolume;

    private String tError;

    private String depotType;

    private String depotLong;

    private String depotWide;

    private String avgHeightv;

    private String abnormalCargo;

    private Date monitorTime;

    private String operator;

    private Date updatetime;

    /**
     * 数量检测分析预警id 32位
     * @return id 数量检测分析预警id 32位
     */
    public String getId() {
        return id;
    }

    /**
     * 数量检测分析预警id 32位
     * @param id 数量检测分析预警id 32位
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 仓房编码
     * @return vcfcode 仓房编码
     */
    public String getVcfcode() {
        return vcfcode;
    }

    /**
     * 仓房编码
     * @param vcfcode 仓房编码
     */
    public void setVcfcode(String vcfcode) {
        this.vcfcode = vcfcode == null ? null : vcfcode.trim();
    }

    /**
     * 组织id
     * @return org_id 组织id
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 组织id
     * @param orgId 组织id
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 设备编码
     * @return vdevcode 设备编码
     */
    public String getVdevcode() {
        return vdevcode;
    }

    /**
     * 设备编码
     * @param vdevcode 设备编码
     */
    public void setVdevcode(String vdevcode) {
        this.vdevcode = vdevcode == null ? null : vdevcode.trim();
    }

    /**
     * 检测数量
     * @return monitor_number 检测数量
     */
    public String getMonitorNumber() {
        return monitorNumber;
    }

    /**
     * 检测数量
     * @param monitorNumber 检测数量
     */
    public void setMonitorNumber(String monitorNumber) {
        this.monitorNumber = monitorNumber == null ? null : monitorNumber.trim();
    }

    /**
     * 检测体积
     * @return t_volume 检测体积
     */
    public String gettVolume() {
        return tVolume;
    }

    /**
     * 检测体积
     * @param tVolume 检测体积
     */
    public void settVolume(String tVolume) {
        this.tVolume = tVolume == null ? null : tVolume.trim();
    }

    /**
     * 检测误差
     * @return t_error 检测误差
     */
    public String gettError() {
        return tError;
    }

    /**
     * 检测误差
     * @param tError 检测误差
     */
    public void settError(String tError) {
        this.tError = tError == null ? null : tError.trim();
    }

    /**
     * 检测仓房类型
     * @return depot_type 检测仓房类型
     */
    public String getDepotType() {
        return depotType;
    }

    /**
     * 检测仓房类型
     * @param depotType 检测仓房类型
     */
    public void setDepotType(String depotType) {
        this.depotType = depotType == null ? null : depotType.trim();
    }

    /**
     * 检测仓房长度
     * @return depot_long 检测仓房长度
     */
    public String getDepotLong() {
        return depotLong;
    }

    /**
     * 检测仓房长度
     * @param depotLong 检测仓房长度
     */
    public void setDepotLong(String depotLong) {
        this.depotLong = depotLong == null ? null : depotLong.trim();
    }

    /**
     * 检测仓房宽度
     * @return depot_wide 检测仓房宽度
     */
    public String getDepotWide() {
        return depotWide;
    }

    /**
     * 检测仓房宽度
     * @param depotWide 检测仓房宽度
     */
    public void setDepotWide(String depotWide) {
        this.depotWide = depotWide == null ? null : depotWide.trim();
    }

    /**
     * 检测平均高度
     * @return avg_heightv 检测平均高度
     */
    public String getAvgHeightv() {
        return avgHeightv;
    }

    /**
     * 检测平均高度
     * @param avgHeightv 检测平均高度
     */
    public void setAvgHeightv(String avgHeightv) {
        this.avgHeightv = avgHeightv == null ? null : avgHeightv.trim();
    }

    /**
     * 检测货位信息是否异常
     * @return abnormal_cargo 检测货位信息是否异常
     */
    public String getAbnormalCargo() {
        return abnormalCargo;
    }

    /**
     * 检测货位信息是否异常
     * @param abnormalCargo 检测货位信息是否异常
     */
    public void setAbnormalCargo(String abnormalCargo) {
        this.abnormalCargo = abnormalCargo == null ? null : abnormalCargo.trim();
    }

    /**
     * 检测时间
     * @return monitor_time 检测时间
     */
    public Date getMonitorTime() {
        return monitorTime;
    }

    /**
     * 检测时间
     * @param monitorTime 检测时间
     */
    public void setMonitorTime(Date monitorTime) {
        this.monitorTime = monitorTime;
    }

    /**
     * 操作人
     * @return operator 操作人
     */
    public String getOperator() {
        return operator;
    }

    /**
     * 操作人
     * @param operator 操作人
     */
    public void setOperator(String operator) {
        this.operator = operator == null ? null : operator.trim();
    }

    /**
     * 
     * @return updatetime 
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 
     * @param updatetime 
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}